pythia8 installation interrupted with error

Bug #1808875 reported by Steven Clark on 2018-12-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MadGraph5_aMC@NLO
Undecided
Unassigned

Bug Description

I am working on installing MadGraph and got to the final step where I am trying to install pythia8. After typing

./bin/mg5_AMC
install pythia8

The console output the following:

You are installing 'pythia8', please cite ref(s): arXiv:1410.3012.
Command "install pythia8" interrupted with error:
KeyError : 'HEPToolsInstaller'
Please report this bug on https://bugs.launchpad.net/mg5amcnlo
More information is found in 'MG5_debug'.
Please attach this file to your report.

The bug report is attached, I am not sure what to make of it. Sorry if this is a simple error, I am new to this but I appreciate any help in installation.

Steven Clark (svclark) wrote :

Looks like one of our server miss that information.
I will try to look tomorow which one has that issue.

You can actually just re-run the command up to the time that you select another server and then it should go trough.

Cheers,

Olivier

> On 17 Dec 2018, at 23:25, Steven Clark <email address hidden> wrote:
>
> Public bug reported:
>
> I am working on installing MadGraph and got to the final step where I am
> trying to install pythia8. After typing
>
> ./bin/mg5_AMC
> install pythia8
>
> The console output the following:
>
>
> You are installing 'pythia8', please cite ref(s): arXiv:1410.3012.
> Command "install pythia8" interrupted with error:
> KeyError : 'HEPToolsInstaller'
> Please report this bug on https://bugs.launchpad.net/mg5amcnlo
> More information is found in 'MG5_debug'.
> Please attach this file to your report.
>
> The bug report is attached, I am not sure what to make of it. Sorry if
> this is a simple error, I am new to this but I appreciate any help in
> installation.
>
> ** Affects: mg5amcnlo
> Importance: Undecided
> Status: New
>
> ** Attachment added: "MG5_debug"
> https://bugs.launchpad.net/bugs/1808875/+attachment/5223091/+files/MG5_debug
>
> --
> You received this bug notification because you are subscribed to
> MadGraph5_aMC@NLO.
> https://bugs.launchpad.net/bugs/1808875
>
> Title:
> pythia8 installation interrupted with error
>
> Status in MadGraph5_aMC@NLO:
> New
>
> Bug description:
> I am working on installing MadGraph and got to the final step where I
> am trying to install pythia8. After typing
>
> ./bin/mg5_AMC
> install pythia8
>
> The console output the following:
>
>
> You are installing 'pythia8', please cite ref(s): arXiv:1410.3012.
> Command "install pythia8" interrupted with error:
> KeyError : 'HEPToolsInstaller'
> Please report this bug on https://bugs.launchpad.net/mg5amcnlo
> More information is found in 'MG5_debug'.
> Please attach this file to your report.
>
> The bug report is attached, I am not sure what to make of it. Sorry if
> this is a simple error, I am new to this but I appreciate any help in
> installation.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mg5amcnlo/+bug/1808875/+subscriptions

Steven Clark (svclark) wrote :

How do I select a different server?

And thanks for checking that out. It's not too urgent so I can also just wait until tomorrow and try again

The selection of the server is random.

so just try mulitple times

Olivier

> On 17 Dec 2018, at 23:44, Steven Clark <email address hidden> wrote:
>
> How do I select a different server?
>
> And thanks for checking that out. It's not too urgent so I can also just
> wait until tomorrow and try again
>
> --
> You received this bug notification because you are subscribed to
> MadGraph5_aMC@NLO.
> https://bugs.launchpad.net/bugs/1808875
>
> Title:
> pythia8 installation interrupted with error
>
> Status in MadGraph5_aMC@NLO:
> New
>
> Bug description:
> I am working on installing MadGraph and got to the final step where I
> am trying to install pythia8. After typing
>
> ./bin/mg5_AMC
> install pythia8
>
> The console output the following:
>
>
> You are installing 'pythia8', please cite ref(s): arXiv:1410.3012.
> Command "install pythia8" interrupted with error:
> KeyError : 'HEPToolsInstaller'
> Please report this bug on https://bugs.launchpad.net/mg5amcnlo
> More information is found in 'MG5_debug'.
> Please attach this file to your report.
>
> The bug report is attached, I am not sure what to make of it. Sorry if
> this is a simple error, I am new to this but I appreciate any help in
> installation.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mg5amcnlo/+bug/1808875/+subscriptions

Hi,

It should be fixed now.

Cheers,

Olivier

Changed in mg5amcnlo:
status: New → Fix Released
Steven Clark (svclark) wrote :

Thanks for your help. I got past that error but now I am continually encountering another one. When I type install pythia8, it runs for about 5 mins then says:

In file included from main93.cc:9:0:
/users/h2/sclark/CMSSW_10_1_0/MG5_aMC_v2_6_4/HEPTools/pythia8//include/Pythia8Plugins/HepMC2.h:17:32: fatal error: HepMC/IO_BaseClass.h: No such file or directory
 #include "HepMC/IO_BaseClass.h"
                                ^
compilation terminated.
Makefile:174: recipe for target 'main93' failed
make: *** [main93] Error 1
sed: couldn't write 39 items to stdout: Disk quota exceeded
 Finished PYTHIA8 installation

I have run "install pythia8" a few times and I have even tried completely restarting by deleting the mg5 directory, reinstalling everything, but I seem to always encounter this error. Any idea where it may be coming from?

Hi,

> h:17:32: fatal error: HepMC/IO_BaseClass.h: No such file or directory
> #include "HepMC/IO_BaseClass.h"

Which version of HepMC did you have installed?
maybe you can try to do "install hepmc"
to force to use a local version rather than a globally install one.
(maybe uninstall the global one in that case)

> compilation terminated.
> Makefile:174: recipe for target 'main93' failed
> make: *** [main93] Error 1
> sed: couldn't write 39 items to stdout: Disk quota exceeded

This one seems to be related to a quota issue which should be related to your filesystem/...
Nothing that I can do here. (Maybe you should install the code somewhere else-- ask your sysadmin--)

Cheers,

Olivier

> On 18 Dec 2018, at 22:29, Steven Clark <email address hidden> wrote:
>
> Thanks for your help. I got past that error but now I am continually
> encountering another one. When I type install pythia8, it runs for about
> 5 mins then says:
>
> In file included from main93.cc:9:0:
> /users/h2/sclark/CMSSW_10_1_0/MG5_aMC_v2_6_4/HEPTools/pythia8//include/Pythia8Plugins/HepMC2.h:17:32: fatal error: HepMC/IO_BaseClass.h: No such file or directory
> #include "HepMC/IO_BaseClass.h"
> ^
> compilation terminated.
> Makefile:174: recipe for target 'main93' failed
> make: *** [main93] Error 1
> sed: couldn't write 39 items to stdout: Disk quota exceeded
> Finished PYTHIA8 installation
>
> I have run "install pythia8" a few times and I have even tried
> completely restarting by deleting the mg5 directory, reinstalling
> everything, but I seem to always encounter this error. Any idea where it
> may be coming from?
>
> --
> You received this bug notification because you are subscribed to
> MadGraph5_aMC@NLO.
> https://bugs.launchpad.net/bugs/1808875
>
> Title:
> pythia8 installation interrupted with error
>
> Status in MadGraph5_aMC@NLO:
> Fix Released
>
> Bug description:
> I am working on installing MadGraph and got to the final step where I
> am trying to install pythia8. After typing
>
> ./bin/mg5_AMC
> install pythia8
>
> The console output the following:
>
>
> You are installing 'pythia8', please cite ref(s): arXiv:1410.3012.
> Command "install pythia8" interrupted with error:
> KeyError : 'HEPToolsInstaller'
> Please report this bug on https://bugs.launchpad.net/mg5amcnlo
> More information is found in 'MG5_debug'.
> Please attach this file to your report.
>
> The bug report is attached, I am not sure what to make of it. Sorry if
> this is a simple error, I am new to this but I appreciate any help in
> installation.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mg5amcnlo/+bug/1808875/+subscriptions

Steven Clark (svclark) wrote :

Yes you are right, it is a local issue that I am resolving now. Thanks for all your help

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments